Subject: Re: [msysGit] Re: [ANNOUNCE] GIT 1.5.4

From: Jakub Narebski <[email-masked]>
Date: Thu, 07 Feb 2008 17:12:45 +0100

Luciano Rocha wrote:
> On Thu, Feb 07, 2008 at 09:53:05AM -0500, Nicolas Pitre wrote:
>> On Thu, 7 Feb 2008, Luciano Rocha wrote: 

>>> I like and use GPL, but I won't force my users to accept the GPL in
>>> order to use programs released under it.
>> 
>> What are they forced into if they indeed only want to _use_ Git?
> 
> The msys git installer forces me to accept the GNU GPL in order to
> proceed.
> 
> Of course, I can use another installer, or compile my own set of
> binaries. I just wanted to bring that case to attention, nothing else.
> 
>> They nevertheless must be made aware of the rules they have to follow in 
>> case the idea of redistributing it crosses their mind.
> 
> I don't dispute that, only that I can't continue with the install unless
> I click on "I Accept" to the GNU GPL.

So, would you prefer to be presented with GNU GPL with two buttons:
"That's great" and "Oh, f**k", instead of "I Accept" and "Cancel",
both of which would allow to install msysGit? ;-ppppppp

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git